HUGO-GEN-MAN(1)

NAME

hugo-gen-man - Generate man pages for the Hugo CLI

SYNOPSIS

hugo gen man [flags]

DESCRIPTION

This command automatically generates up-to-date man pages of Hugo's command-line interface. By default, it creates the man page files in the "man" directory under the current directory.

OPTIONS

--dir="man/"
    the directory to write the man pages.

-h, --help[=false]
    help for man

OPTIONS INHERITED FROM PARENT COMMANDS

--config=""
    config file (default is path/config.yaml|json|toml)

--debug[=false]
    debug output

--log[=false]
    enable Logging

--logFile=""
    log File path (if set, logging enabled automatically)

--quiet[=false]
    build in quiet mode

-v, --verbose[=false]
    verbose output

--verboseLog[=false]
    verbose logging

SEE ALSO

hugo-gen(1)